// @import url("https://fonts.googleapis.com/css2?family=Manrope:wght@200;300;400;500;600;700;800&display=swap");

@import '~bootstrap/scss/bootstrap';
@import '~aos/dist/aos.css';

// variables
@import './variables/colors';
@import './variables/mixins';

// theme styles files
@import './xtras';
@import './fonts';

// Pages styles
@import '../views/HeroSection/herosection.scss';
@import '../views/HomeCarousel/homecarousel.scss';
@import '../views/Comforts/ComfortsCarousel.scss';
@import '../views/HomeCarouselMobile/homecarouselmobile.scss';
@import '../views/SecondFold/secondfold.scss';
@import '../components/CookiesPopup/cookiesPopup.scss';
@import '../pages/authCycle/styles.scss';
@import '../pages/home/styles.scss';
@import '../views/Home/home.scss';
@import '../views/FirstFold/firstfold.scss';

// custom css
* {
  font-family: 'Manrope', sans-serif;
}

::selection {
  color: $white !important;
  background: rgba($theme-primary, 0.2);
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  padding: 0;
  margin: 0;
  font-size: 14px;
  background-color: hsl(185, 9%, 29%);
  scroll-behavior: auto !important;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  @include scrollbarCustom;
}

.login-video-bg {
  position: absolute;
  z-index: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100vh;
  width: 100%;
  overflow: hidden;

  @include mobile {
    top: 0;
    height: 93vh;
    height: 100svh;
  }

  &::before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    background: linear-gradient(0deg, rgba(#434f50, 0.5), rgba(#434f50, 0.5));
    content: '';
    z-index: 1;

    @include mobile {
      background: linear-gradient(0deg, rgba(#434f50, 0.5), rgba(#434f50, 0.5));
    }
  }

  video {
    object-fit: cover;
    overflow: hidden;
    min-height: 100%;
    width: 100%;
    margin: 0 auto;

    @include mobile {
      height: calc(100vh - 135px);
    }
  }
}

.app-container {
  overflow-x: hidden;
}

// Button style
.button-style48 {
  height: 48px;
  border-radius: 100px;
  text-transform: uppercase;
}

// PhoneInputCountry
.PhoneInputCountry {
  .PhoneInputCountryIcon {
    border-radius: 50%;
    overflow: hidden;
    width: 20px;
    height: 20px;
    position: relative;

    img {
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      object-fit: cover;
    }
  }
}

.left-footer-links {
  a {
    color: $grey-10;
    text-decoration: none;
    font-weight: 400;
    font-size: 18px;
    line-height: 130%;

    @include mobile {
      font-size: 12px;
    }
  }
}

.siteUrl {
  display: block;
  text-transform: uppercase;
  margin-bottom: 2px;
  color: $grey-10;
  text-decoration: none;

  @include mobile {
    text-transform: none;
    margin-bottom: 4px;
  }

  &:hover {
    color: unset;
  }
}

// Title
.title1 {
  font-family: 'Editorial New';
  font-weight: 200;
  font-size: 75px;
  line-height: 1.3em;
  letter-spacing: 0.01em;
}

.description {
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 170%;
}

.input-relative-sec {
  position: relative;
  margin-bottom: 100px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  .error-sec {
    position: relative;
    top: 10px;
  }
}

.second-fold-img {
  position: relative;
  z-index: 1;
  width: 90vw;
  left: 0;
  right: 0;
  height: 768px;
  margin: 0 auto;
  border-radius: 2px;
  background-size: 100%;
  background-position: 50% 0px;
  // background-image: url("/images/second-fold-img.jpg");
  background-repeat: no-repeat;
  margin-top: -300px;
  z-index: 9;
  position: relative;

  @include desktop-lg {
    max-width: 1440px;
  }

  @include tablet-p {
    width: 100%;
    position: relative;
    height: 500px;
    margin: 0px 0 80px;
    background-size: cover;
  }

  @include mobile {
    width: 100%;
    position: relative;
    height: 300px;
    background-size: cover;
  }

  @include iphone5 {
    height: 207px;
  }
}
